services:
  rtr-debug-client:
    build:
      context: ../..
      dockerfile: deploy/client/Dockerfile
    image: rpki-rtr-debug-client:latest
    command: ["${RPKI_RTR_SERVER_ADDR:-rpki-rtr-tcp:323}", "${RPKI_RTR_PROTOCOL_VERSION:-2}", "reset", "--keep-after-error", "--summary-only"]
    volumes:
      - ${RPKI_RTR_CLIENT_LOG_HOST_DIR:-../../logs/client}:/app/logs
    restart: no
    stdin_open: true
    tty: true
    networks:
      - rpki_net

networks:
  rpki_net:
    name: rpki_net
    driver: bridge
